configure: remove dependency on exiv2

parent 0703b6b3
......@@ -40,7 +40,6 @@ m4_define([gimp_full_name], [Generic Graphical Library])
# required versions of external libraries
m4_define([babl_required_version], [0.1.62])
m4_define([cairo_required_version], [1.12.2])
m4_define([exiv2_required_version], [0.25])
m4_define([gdk_pixbuf_required_version], [2.32.0])
m4_define([introspection_required_version], [1.32.0])
m4_define([glib_required_version], [2.44.0])
......@@ -1162,25 +1161,6 @@ AM_CONDITIONAL(HAVE_SPIRO, test "$spiro_ok" = "yes")
AC_SUBST(LIBSPIRO)
###################
# Check for exiv2
###################
AC_ARG_WITH(exiv2, [ --without-exiv2 build without libexiv2 support])
have_exiv2="no"
if test "x$with_exiv2" != "xno"; then
PKG_CHECK_MODULES(EXIV2, exiv2 >= exiv2_required_version,
have_exiv2="yes",
have_exiv2="no (exiv2 library not found)")
fi
AM_CONDITIONAL(HAVE_EXIV2, test "$have_exiv2" = "yes")
AC_SUBST(EXIV2_CFLAGS)
AC_SUBST(EXIV2_CXXFLAGS)
AC_SUBST(EXIV2_LIBS)
###################
# Check for UMFPACK
###################
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment